org.apache.nutch.indexer.solr

## Class SolrDeleteDuplicates.SolrInputSplit

- java.lang.Object
- - org.apache.hadoop.mapreduce.InputSplit
  - - org.apache.nutch.indexer.solr.SolrDeleteDuplicates.SolrInputSplit

- All Implemented Interfaces:
    Writable
  Enclosing class:
    SolrDeleteDuplicates

      public static class SolrDeleteDuplicates.SolrInputSplit
      extends InputSplit
      implements Writable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SolrInputSplit()`
    `SolrInputSplit(int docBegin, int numDocs)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getDocBegin()`
    `long` | `getLength()`
    `java.lang.String[]` | `getLocations()`
    `void` | `readFields(java.io.DataInput in)`
    `void` | `write(java.io.DataOutput out)`

    - ### Methods inherited from class org.apache.hadoop.mapreduce.InputSplit

      `getLocationInfo`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SolrInputSplit

          public SolrInputSplit()

    - #### SolrInputSplit

          public SolrInputSplit(int docBegin,
                                int numDocs)

  - ### Method Detail

    - #### getDocBegin

          public int getDocBegin()

    - #### getLength

          public long getLength()
                         throws java.io.IOException

      Specified by:
        `getLength` in class `InputSplit`
      Throws:
        `java.io.IOException`

    - #### getLocations

          public java.lang.String[] getLocations()
                                          throws java.io.IOException

      Specified by:
        `getLocations` in class `InputSplit`
      Throws:
        `java.io.IOException`

    - #### readFields

          public void readFields(java.io.DataInput in)
                          throws java.io.IOException

      Specified by:
        `readFields` in interface `Writable`
      Throws:
        `java.io.IOException`

    - #### write

          public void write(java.io.DataOutput out)
                     throws java.io.IOException

      Specified by:
        `write` in interface `Writable`
      Throws:
        `java.io.IOException`

Copyright © 2019 The Apache Software Foundation